package com.ruoyi.wzCk.ckInfo.service;

import com.ruoyi.wzCk.ckInfo.domain.WzOutboundOrderH;

import java.util.List;


/**
 * 物资出库单_基础数据Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface IWzOutboundOrderHService 
{
    /**
     * 查询物资出库单_基础数据
     * 
     * @param id 物资出库单_基础数据主键
     * @return 物资出库单_基础数据
     */
    public WzOutboundOrderH selectWzOutboundOrderHById(Long id);

    /**
     * 查询物资出库单_基础数据列表
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 物资出库单_基础数据集合
     */
    public List<WzOutboundOrderH> selectWzOutboundOrderHList(WzOutboundOrderH wzOutboundOrderH);

    /**
     * 新增物资出库单_基础数据
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 结果
     */
    public int insertWzOutboundOrderH(WzOutboundOrderH wzOutboundOrderH);

    /**
     * 修改物资出库单_基础数据
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 结果
     */
    public int updateWzOutboundOrderH(WzOutboundOrderH wzOutboundOrderH);

    /**
     * 批量删除物资出库单_基础数据
     * 
     * @param ids 需要删除的物资出库单_基础数据主键集合
     * @return 结果
     */
    public int deleteWzOutboundOrderHByIds(Long[] ids);

    /**
     * 删除物资出库单_基础数据信息
     * 
     * @param id 物资出库单_基础数据主键
     * @return 结果
     */
    public int deleteWzOutboundOrderHById(Long id);

    /**
     * 根据任务号查询出库单号
     *
     * @param taskno 任务号
     * @return 结果
     */
    List<WzOutboundOrderH> selectCkdhListFromCkinfoByTaskNo(String taskno);
}
